package com.bwie.house.mapper;

import com.bwie.common.domain.House;
import com.bwie.common.domain.Loan;
import com.bwie.common.domain.Rent;
import com.bwie.common.domain.request.HouseRequest;
import com.bwie.common.domain.response.Month;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HouseMapper {
    List<HouseRequest> showAll(HouseRequest houseRequest);

    List<Loan> showLoan();

    Loan byLoanId(@Param("loanId") Integer loanId);

    House byHouseId(@Param("houseId") Integer houseId);

    List<Month> downMonth();

    Integer addHouse(Rent rent);

    List<House> findId(@Param("houseId") Integer houseId);

    void updSize(@Param("userId") Integer userId);

    List<Month> findMonth(@Param("monthId") Integer monthId);

    List<Loan> findLoanId(@Param("loanId") Integer loanId);

    void updStatus(@Param("loanId") Integer loanId, @Param("loanRemark") String loanRemark);

    void updStatusOk(@Param("loanId") Integer loanId);
}
