package com.bwie.house.service;

import com.bwie.common.domain.House;
import com.bwie.common.domain.Loan;
import com.bwie.common.domain.Rent;
import com.bwie.common.domain.request.HouseRequest;
import com.bwie.common.domain.response.Month;

import java.util.List;

public interface HouseService {
    List<HouseRequest> showAll(HouseRequest houseRequest);

    List<Loan> showLoan();

    Loan byLoanId(Integer loanId);

    House byHouseId(Integer houseId);

    List<Month> downMonth();

    Integer addHouse(Rent rent);
}
